## ros-jazzy-turtlebot4-setup 2.0.1

=== debian/changelog ===
ros-jazzy-turtlebot4-setup (2.0.1-1bookworm) bookworm; urgency=high

  * Add a copy of the boot/firmware files to /etc/turtlebot for reference in case users modify these and want a clean, offline copy for reference
  * Add ROBOT_SETUP to setup.bash
  * Add growpart & resize2fs commands to the SD card-flashing script to expand the partition to use up the whole SD card
  * Add socat as a package dependency instead of an ad-hoc post-install package
  * Add MOTD file with the Turtlebot4 logotype
  * Contributors: Chris Iverach-Brereton

 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 03 Oct 2024 16:00:00 -0000

ros-jazzy-turtlebot4-setup (2.0.0-1bookworm) bookworm; urgency=high

  * Initial Jazzy implementation
    * Add a note about firmware compatibility to the readme
    * Add exception handling to the file i/o so the node doesn't just crash if we're missing a file
    * Add improved exception handling to the wifi settings parser
    * Update CI
    * Properly escape all ` characters in stylized titles, add translation & link to generator page in comments
    * Add copyright & contribution notices, fix up code formatting, import ordering. Disable linting for some specific lines where appropriate
    * Add XML namespaces & version to cyclone DDS config
    * Omit XML linting (for now); it's consistently timing out and failing
    * Code formatting fixes
    * Add exception handling to the file preview
    * Add an option to force the Create3 settings to be reapplied, even if we haven't changed anything else. Always apply the _do_not_use namespace, as we're universally using the republisher now
    * Remove superfluous concatenation
    * Enable testing packages for CI
    * Disable checks on two lines with long format strings
    * Add exception handling for install & uninstall
    * Add an error prompt to show errors during installation
    * Handle KeyErrors separately
    * Add newline to end of file
    * Fix indentation
    * `''.format -> f''
    * Update the default system file, print the keys instead of the enums
    * Add a __str__ function to the relevant classes
  * Disable DHCP4 on the built-in ethernet interface, make it non-optional
  * Change the post-install chrony file command from mv to cp
  * Only copy if the file exists
  * Initial Jazzy implementation (#15 <https://github.com/turtlebot/turtlebot4_setup/issues/15>)
  * Contributors: Chris Iverach-Brereton

 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 27 Sep 2024 16:00:00 -0000

ros-jazzy-turtlebot4-setup (1.0.4-1bookworm) bookworm; urgency=high

  * Multi-robot discovery server support (#11 <https://github.com/turtlebot/turtlebot4_setup/issues/11>)
    * Add discovery server ID
    * Switch from xml super client to envar
    * Don't look for an ntp server on create3
    * Adjust create3 discovery server envar for server_id
    * Get feedback from the curl command to abort the apply if the create3 is not accessible
    * Push ntp config to create3, pointing it at the pi
    * Write discovery.sh fresh each time for robustness
    * Insert missing exports when writing setup.bash
    * Update script for server ID
    * Enforce a local server in discovery server for the create3 and support an offboard server for pi only
    * Give the create3 a hidden namespace to prepare for republishing
    * Put environment variables in quotes to handle multiple discovery servers
    * Make  Super Client only apply to user terminals
    * Fix error when setting Offboard Discovery Server IP to blank
    * Remove IP Routing from script to set up discovery server on the user computer, no longer needed due to the republisher, includes file/service cleanup
    * Force compares as string to handle boolean settings correctly
    * Ensure that usb0 and wlan0 networks are up before either turtlebot4 service is started and use only NetworkManager to speed up boot
    * ipv4 forwarding is no longer required
    * Add create3 rmw profile for discovery server
    * git clone no longer necessary
    * Update discovery server user pc config script to accept any number of discovery servers
    * Added missing exec dependencies
    * Ensure that the chrony file always gets overwritten
  * Update username for github issue asignment (#10 <https://github.com/turtlebot/turtlebot4_setup/issues/10>)
  * Updated issue templates to forms and redirected troubleshooting to turtlebot4 repo (#9 <https://github.com/turtlebot/turtlebot4_setup/issues/9>)
  * Contributors: Hilary Luo

 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 01 Jul 2024 16:00:00 -0000

ros-jazzy-turtlebot4-setup (1.0.3-1bookworm) bookworm; urgency=high

  * Cleanup <https://github.com/turtlebot/turtlebot4_setup/issues/7>
  * Remove scripts that should not be used in Humble
  * Update create_update.sh to reference Humble minimum version
  * Updated README
  * Updated turtlebot4_setup.sh script
  * Fixed setting robot model
  * Contributors: Hilary Luo, Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-jazzy-turtlebot4-setup (1.0.2-1bookworm) bookworm; urgency=high

  * Fixed Discovery Server IP
  * Updated default configs
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 28 Feb 2023 16:00:00 -0000

ros-jazzy-turtlebot4-setup (1.0.1-1bookworm) bookworm; urgency=high

  * Fixed script install path
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 27 Feb 2023 16:00:00 -0000

ros-jazzy-turtlebot4-setup (1.0.0-1bookworm) bookworm; urgency=high

  * turtlebot4_setup tool
  * RPI config updates
  * Discovery server files
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 23 Feb 2023 16:00:00 -0000

ros-jazzy-turtlebot4-setup (0.1.3-1bookworm) bookworm; urgency=high

  * Merge pull request #2 <https://github.com/turtlebot/turtlebot4_setup/issues/2> from turtlebot/roni-kreinin/domain_id
    v0.1.3
  * Added webserver service

